Monday, August 7, 2006

Gnumeric Spreadsheet Packages Available

It is done! Hurry up and add the following repository to your application catalog:


Web Address: http://maemo.org.br/platform/apt
Distribution: mistral
Components: user

Alternatively, you can add following repository (this one will be deactivated soon):

Web Address: http://bgran.net/etrunko/apt
Distribution: mistral
Components: user

Mandatory Screenshot:

27 comments:

jurop88 said...

Thx Etrunko, as soon as I get my 770 back i'll inform you on how it goes! I really needed it, if you are going to put a paypal button on your page expect some beers from me!

Palin said...

I'm missing libglade. Any idea about which repository is it in?

Etrunko said...

Hi palin, for libglade add:

http://repository.maemo.org
mistral
free non-free

Regards, Etrunko.

Bit-Looter said...

you'r tha man!!!

Anonymous said...

I just tested both version with and without plugin. I opened the excel file that worked fine in os2005. And found out that this release does not work any more. The number format does not dispaly correctly. The formular does not work any more.

Palin said...

Thank you very much I had it but configured by mistake to get non-free only.

Etrunko said...

Hi,

If you find any problems with some file and you can share it, please send it to me in my email with a description of what is happening ans how should it behave.

eblima (_at_) yahoo (_dot_) com

You can find me online on IRC at #gnumeric in irc.gimp.net.

Regards, Etrunko

JongAm Park said...

Hi. Thanks for the build.
However, when I tried installing the Gnumeric for the Maemo 2.0, it displayed a message "not compatible package.. ".

The OS of my Nokia 770 is the latest one downloaded from the Nokia site, which is Maemo 2.0, consequently.

Also I browsed the directory of the given URL, and found many files. Can you tell me what files to download?
I tried all armle files.

Thank you.

Laurent GUERBY said...

Nokia770-26:~# cat /etc/apt/sources.list
#maemo:essential
deb http://catalogue.tableteer.nokia.com/certified/ mistral user
deb http://catalogue.tableteer.nokia.com/non-certified/ mistral user
deb http://maemo-hackers.org/apt/ mistral main
#deb http://repository.maemo.org/ mistral-beta free non-free
deb http://repository.maemo.org/contrib/ mistral free non-free
deb http://maemo.org.br/platform/apt/ mistral user
Nokia770-26:~# apt-get install gnumeric
Reading package lists... Done
Building dependency tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
gnumeric: Depends: libglade2-0 (>= 1:2.3.6) but it is not installable
Depends: libgnomecanvas2-0 (>= 2.6.0) but it is not going to be installed
Depends: libgnomeprintui2.2-0 (>= 2.10.0) but it is not going to be installed
Depends: libgoffice-0-3 (>= 0.3.0) but it is not going to be installed
E: Broken packages

any idea of what I'm missing?

Thanks in advance,

Laurent

Etrunko said...

Hi Laurent

It seems you are missing the following repository:

deb http://repository.maemo.org mistral free non-free

I see you have the "contrib" repository in your list. Not the official one. And don't forget running "apt-get update".

Regards, Etrunko.

Etrunko said...

Hi Jongman,

Maybe you are facing the same problem laurent has. Using the application manager, you need to add two entries in your application catalog.

Web Address: http://repository.maemo.org
Distribution: mistral
Components: free non-free

Web Address: http://maemo.org.br/platform/apt
Distribution: mistral
Components: user

Refresh your package list and try installing it.

Best Regards, Etrunko.

JongAm Park said...

Thank you, Etrunko.
I will try it home.

Frank said...

Hi,

where i find a gnumeric - armel.deb (directly executable File) for the Nokia 2006

Can you send me a direct link - Sorry I am only a Nokia User not a Linux Specialist

thanks in advance

fidibus

Denis said...

Thanks for the port of Gnumeric Spreadsheet. As someone commented earlier, importing NUMBER data from Excel spreadsheets is broken.

Separate question, what does the pligin package consist of and what does it do?

denis said...

I was unable twice to do a successful install from this depository -- something about corrupt file.

http://maemo.org.br/platform/apt

But everything went fine from this depository

http://bgran.net/etrunko/apt

Etrunko said...

Hi Denis,

For the maemo.org.br you need the prefix www. So the web address is:

http://www.maemo.org.br/platform/apt

About importing excel data, it is in my TODO list. I hope to have time to fixing it soon. Thanks for your feedback.

Best Regards, Etrunko

Anonymous said...

hi

I trie to install from your repository

but after 9.9M download, I have obtained this result : "Impossibile eseguire l'installazione: File di installazione danneggiato" translat: "installation error:damaged configuration file"
can you help me? sorry for my poor english I'm italian

best regard Aleale99(at)yahoo.com

Etrunko said...

Hi,

This should not happen. Please check the instalation log accessing the Application manager menu item.

Menu -> Tools -> Log

This should help on diagnosing your problem.

Regards, Etrunko

Anonymous said...

aleale99(at)yahoo.com

Hi Etrunko,

in the log I find:"installing gnumeric1.7.0-1indt3 Failed to fetch http://www.maemo.org.br/platform/apt/pool/user/libg/libgnomecanvas/libgnomecanvas2-0_2.10.0-0ubuntu1_armel.deb: Size mismatch "

grazie

ciao

Ale

Anonymous said...

aleale99(at)yahoo.com

Hi Etrunko, sorry for the previous txt

in the log I find:"installing gnumeric1.7.0-1indt3 Failed to fetch http://www.maemo.org.br/platform/
apt/pool/user/libg/libgnomecanvas/
libgnomecanvas2-0_2.10.0-0ubuntu1_
armel.deb: Size mismatch "

grazie

ciao

Ale

Etrunko said...

Hi Ale,

I've tested installing gnumeric package this weekend and everything went just fine. It's really weird what is happening to you. Unfortunately, I can't figure out why.

You could try the gnumeric package in the following repository:

http://bgran.net/etrunko/apt
mistral
user

Best Regards, Etrunko.

Anonymous said...

aleale99(at)yahoo.com

Hi Etrunko

I tried the gnumeric package in repository :http://bgran.net/etrunko/apt

I have got two error:
1°failed to fetch:....libgnomecanvas2-
common_2.10.0-0ubuntu1_all.deb
error reading from server-read
(104 connection reset by peer)
and
failed to fetch:..
..libgnomeprint2.2-data_2.10.3-oubuntu_all.deb:size mismatch

could you tell me how I can do a manual instal?

Anonymous said...

Hi, I recently purchased the Nokia 770 and would like to install some applications such as Gnome Spreadsheet. I have never used Debian software, which files do I have to download in order to install this app in my N770? Thank you very much in advance

Rafa

Anonymous said...

Nice work. Maybe you know what happens with Abiword? As far as I know, there is no package of Abiword available for IT 2006.

Anonymous said...

Ciao Etrunko,

when trying to install (on my 770 scirocco vers.)from file gnumeric-common_1.7.0-1indt3_all.deb the Log reports "Package must have Section:user/FOO to be considered compatible".

I hope this helps.
Giada

Anonymous said...

Still cant find libglade for IT OS 2006.

new_to_N800 said...

I just bought N800 and liked it very much. I tried to install gnumeric and got message for missing libglade and libxauo. I checked the link posted here, but couldn't find what I need. It might be the link had the library a year ago. Any help is appreciated.